#include "StdAfx.h"
#include ".\point.h"
#include <stdio.h>

ostream& operator << (ostream& out,Point & p)
{
	out << p.coords[0] ;
	out << " ";
	out << p.coords[1] ;
	out << "\t";
	return out;
}

void Point::deplacer(int delta)
{
	coords[0]+=delta; 
	coords[1]+=delta;
}

void Point::afficher()
{
	printf("x=%d, y=%d\n",coords[0],coords[1]);
}

Point::Point(Point & p)
{ // Constructeur de copie
	coords=new int[2];
	coords[0]=p.coords[0];
	coords[1]=p.coords[1];
}

Point::Point(int x,int y)
{
	coords=new int[2];
	coords[0]=x;
	coords[1]=y;
}

Point::Point(void)
{ // Constructeur par défaut
	coords=new int[2];
	coords[0]=0;
	coords[1]=0;
}

Point::~Point(void)
{
	delete(coords);
}
